
public menu_handler_attributes(id,key)
{
	if((g_player_attributepoints[id] == 0) && (key < 8))
	{
		client_print(id,print_chat,"%L",id,"L_ENOUGH_ATTRIBUTEPOINTS",PLUGIN_TAG);
		return PLUGIN_HANDLED;
	}
	
	new attribute_name[64];
	
	switch(key)
	{
		case 0:
		{
			attribute_name="athletic";
			g_player_athletic[id] += 2.5;
			
			validate_max_speed(id);
		}
		case 1:
		{
			if(g_player_acrobatic[id] < 0.52)
			{
				client_print(id,print_chat,"%L",id,"L_ATTR_ACROBATIC_MAXED",PLUGIN_TAG);
				menu_print_attributes(id);
				return PLUGIN_HANDLED;
			}
			
			attribute_name="acrobatic";
			g_player_acrobatic[id] -= 0.02;
			
			validate_gravity(id);
		}
		case 2:
		{
			attribute_name="endurance";
			g_player_endurance[id] += 1;
			g_player_max_health[id] += 1;
			
			set_user_health(id,get_user_health(id)+1);
		}
		case 8:
		{
			menu_print_main(id);
		}
		
		default:
		{
			return PLUGIN_HANDLED;
		}
	}
	
	if(!equal(attribute_name,""))
	{
		client_print(id,print_chat,"%L",id,"L_ATTR_SELECTED",PLUGIN_TAG,attribute_name);
		g_player_attributepoints[id] -= 1;
		menu_print_attributes(id);
	}
	else if((equal(attribute_name,"")) && (key < 8))
	{
		menu_print_attributes(id);
	}
	
	return PLUGIN_HANDLED;
}
